EyeDropper does nothing on "New" in Uv image editor
Closed, ResolvedPublic

Description

win7 64bit, latest official blender build (2.63a)

When in the uv image editor, I click on new (to create a blank image), the eye Dropper doesn't work. It does just nothing there, mouse icon doesn't change, its just nothing happening.

I've attached an image showing the button I mean (marked red)

oenvoyage (Olivier Amrein) added a comment.Via Old WorldAug 29 2012, 11:57 AM

The eyedropper seems to average or add the values... when trying to pick a color on the colorgrid, you can move the mouse an infinite number of time and it will eventually end up being that color.
otherwise if you movie it around all the olor , it kind of ends up with a kind of grey.
hope it can help

sergey (Sergey Sharybin) added a comment.Via Old WorldSep 3 2012, 4:06 PM

There are two design limitations involved here:
- Eyedropper requires RNA path to editing property and operator's properties does not actually have RNA path.
- Eyedropper is an operator, which means second operator would be called from another operator, which is not actually supported.

Listed the issue to our wiki TODO list http://wiki.blender.org/index.php/Dev:2.5/Source/Development/Todo/UserInterface#UI_Widgets

Probably we'll need to hide this button from places where it can't work.

sergey (Sergey Sharybin) added a comment.Via Old WorldSep 24 2012, 3:03 PM

Commited fix to rev50845 which hide the color picker button from a popup. All the rest possible solutions are currently ending up with a design limitations.

Thanks for the report, closing.

sergey (Sergey Sharybin) closed this task as "Resolved".Via Old WorldSep 24 2012, 3:03 PM

Add Comment